Bug 813558 - puppet 2.6 is broken, time to update to 2.7?
puppet 2.6 is broken, time to update to 2.7?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 17:15 EDT by Orion Poplawski
Modified: 2012-05-16 01:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 01:21:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-04-17 17:15:13 EDT
Description of problem:

# puppet agent --test
/usr/share/ruby/vendor_ruby/puppet/util/log/destinations.rb:99: warning: class variable access from toplevel
/usr/share/ruby/vendor_ruby/puppet/application/kick.rb: /usr/share/ruby/vendor_ruby/puppet/application/kick.rb:105: Invalid next (SyntaxError)

Version-Release number of selected component (if applicable):
puppet-2.6.14-1.fc17.noarch

How reproducible:
Everytime

I think it's time to bite the bullet and update to 2.7 everywhere.  I have been running a 2.7.12 master for a while against the 2.6.14 clients and haven't had any problems yet.   Will start testing with 2.7 clients on Fedora 15, 16, and 17.
Comment 1 Todd Zullinger 2012-04-17 17:22:51 EDT
The biggest thing that needs tested is compatibility with existing manifests.  If we update and there are a lot of new warnings or worse, things that break, it's going to be a big pain.

But we do have to update to 2.7 at least in Fedora >= 17.  Unfortunately, even with 2.7, upstream does not recommend ruby 1.9.3, so there are going to be bugs that remain.
Comment 2 Orion Poplawski 2012-04-17 17:25:13 EDT
Bah, first problem - I seem to be hitting http://projects.puppetlabs.com/issues/9084 so I can't get an initial cert setup for a machine with 2.7.12 on F17.
Comment 3 Orion Poplawski 2012-04-17 17:25:42 EDT
But no problem with my manifests yet.
Comment 4 Orion Poplawski 2012-04-17 17:33:19 EDT
F17 workaround:

scp puppet:/var/lib/puppet/ssl/certs/ca.pem /var/lib/puppet/ssl/certs/ca.pem
ln -s /var/lib/puppet/ssl/certs/ca.pem $(openssl version -d|cut -d\" -f2)/certs/$(openssl x509 -hash -noout -in /var/lib/puppet/ssl/certs/ca.pem).0

Alternate (centos 6.2?):

ln -s /var/lib/puppet/ssl/certs/ca.pem $(openssl version -d|cut -d\" -f2)/certs/$(openssl x509 -subject_hash_old -noout -in /var/lib/puppet/ssl/certs/ca.pem).0
Comment 5 John Florian 2012-04-25 10:39:52 EDT
Another reason to want 2.7.x would be the native systemd service support that looks to have went in 2.7.4.
Comment 6 Fedora Update System 2012-04-25 11:46:12 EDT
puppet-2.7.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/puppet-2.7.13-1.fc17
Comment 7 Fedora Update System 2012-05-06 00:52:21 EDT
puppet-2.7.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Nick 2012-05-16 01:12:02 EDT
Any chance we can get 2.7.x on EPEL6 as well?
Comment 9 Todd Zullinger 2012-05-16 01:21:06 EDT
Not in the immediate future, no.  There are issues of compatibility with 2.6 and open issues regarding the speed of catalog compilation in 2.7. It's not just a simple yum update and I would rather not cause users trouble.  I wish it were simpler to push such updates.

Note You need to log in before you can comment on or make changes to this bug.